<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

include INFUSIONS."slideshows_random_photo_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."slideshows_random_photo_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."slideshows_random_photo_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."slideshows_random_photo_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['FOT_TITLE'];
$inf_description = $locale['FOT_DESC'];
$inf_version = "1.4";
$inf_developer = "Wooya, upgrade SiteMaster";
$inf_email = "wooya@2loud.net.pl";
$inf_weburl = "http://www.2loud.net.pl";

$inf_folder = "slideshows_random_photo_panel"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => $locale['FOT_002'],
	"image" => "infusion_panel.gif",
	"panel" => "slideshows_admin.php",
	"rights" => "SRPP"
);

// Delete any items not required here.
$inf_newtable[1] = DB_SRPP_SETTINGS." (
   slideshow_id INT(1) NOT NULL default '1',
	slideshow_type VARCHAR(20) NOT NULL default 'slide-left',
	slideshow_time INT(4) NOT NULL default '3000',
	slideshow_items INT(5) NOT NULL default '5',
	slideshow_text INT(1) NOT NULL default '0',
	slideshow_colorcode VARCHAR(6) NOT NULL default 'ffffff',
	slideshow_alt INT(1) NOT NULL default '0',
	slideshow_direction VARCHAR(6) NOT NULL default 'right'
) TYPE=MyISAM;";

$inf_droptable[1] = DB_SRPP_SETTINGS;

$inf_insertdbrow[1] = DB_SRPP_SETTINGS." VALUES ('1', 'slide-left', '3000', '5', '0', 'ffffff', '0', 'right');";

$inf_deldbrow[1] = DB_SRPP_SETTINGS;
?>